Skip to content
Permalink
Branch: master
Commits on Mar 19, 2019
  1. Merge pull request #692 from MarkEWaite/use-latest-script-security

    MarkEWaite committed Mar 19, 2019
    Test script security 1.55
  2. Test script security 1.55

    MarkEWaite committed Mar 19, 2019
    Latest release of script security plugin, referenced in tests.
Commits on Mar 18, 2019
  1. [maven-release-plugin] prepare for next development iteration

    MarkEWaite committed Mar 18, 2019
  2. Use git client plugin 3.0.0-beta8

    MarkEWaite committed Mar 18, 2019
  3. Add another ancient git exclusion

    MarkEWaite committed Mar 18, 2019
Commits on Mar 17, 2019
  1. Another exclusion for ancient git

    MarkEWaite committed Mar 17, 2019
    Still better than excluding the entire test on git 1.7.1
  2. Suppress more spotbugs warnings

    MarkEWaite committed Mar 17, 2019
    Java 11 specific, but not worth the distraction of spotbugs reporting
    spurious warnings.  Easier to suppress the warnings than remember that
    they can be ignored.
Commits on Mar 16, 2019
  1. Fix javadoc for Java 11

    MarkEWaite committed Mar 16, 2019
  2. Merge pull request #691 from MarkEWaite/use-equalsverifier-3.1.7

    MarkEWaite committed Mar 16, 2019
    Update test components (script-security, junit, & equalsverifier)
  3. Test with script-security plugin 1.54

    MarkEWaite committed Mar 16, 2019
    Test with latest plugin version because plugin packaging does not
    create a dependency on tested components.
  4. Test with junit plugin 1.27

    MarkEWaite committed Mar 16, 2019
    Reasonable to test with latest release of a plugin since the tested
    plugin is not listed as a dependency of the plugin when the plugin is
    packaged.
Commits on Mar 12, 2019
  1. Merge pull request #690 from MarkEWaite/fix-centos-6-test-failures

    MarkEWaite committed Mar 12, 2019
    Fix CentOS 6 test failures
  2. Remove powermock test reference

    MarkEWaite committed Mar 12, 2019
    Java 11 powermock fails due to a requirement for a Java XML module.
    Test is not valuable enough to wrestle with the mocking framework.
    Remove the test, replace it later or confirm that the case is already
    covered elsewhere in JenkinsRule based tests.
  3. Add more CentOS 6 / Git 1.7.1 exclusions

    MarkEWaite committed Mar 12, 2019
    Preferred to keep the tests running and passing on multiple platforms
    so that regressions are easier to detect.
  4. Do not warn if git minor number is less than 50

    MarkEWaite committed Mar 12, 2019
    Git 2.21.0 has been released and is a good version to use.
Commits on Mar 11, 2019
  1. Merge pull request #688 from batmat/remove-obsolete-tt

    MarkEWaite committed Mar 11, 2019
    Replace <tt> by <code> to fix javadoc failure on Java 11
Commits on Mar 2, 2019
  1. Merge branch 'stable-3.9'

    MarkEWaite committed Mar 2, 2019
  2. Merge pull request #683 from MarkEWaite/skip-centos-6-truncation-test

    MarkEWaite committed Mar 2, 2019
    Skip truncation test on ancient git versions
  3. Skip truncation test on ancient git versions

    MarkEWaite committed Mar 2, 2019
    When the git changelow raw format is used there is no truncation,
    don't test for truncation on old git versions.
Commits on Feb 27, 2019
  1. [maven-release-plugin] prepare for next development iteration

    MarkEWaite committed Feb 27, 2019
  2. [maven-release-plugin] prepare release git-4.0.0-beta7

    MarkEWaite committed Feb 27, 2019
  3. Merge pull request #681 from MarkEWaite/use-git-client-3.0.0-beta7

    MarkEWaite committed Feb 27, 2019
    Use git client 3.0.0 beta7
  4. Test with script security plugin 1.53

    MarkEWaite committed Feb 27, 2019
    Test only, does not alter delivered dependencies
  5. Use parent pom 3.37

    MarkEWaite committed Feb 27, 2019
  6. Use git client plugin 3.0.0-beta7

    MarkEWaite committed Feb 27, 2019
    Includes automated test fixes for CentOS 6.
Commits on Feb 25, 2019
  1. Merge pull request #680 from MarkEWaite/skip-truncate-tests-on-old-cl…

    MarkEWaite committed Feb 25, 2019
    …i-git
    
    Don't test message truncation with ancient CLI git
  2. Don't test message truncation with ancient CLI git

    MarkEWaite committed Feb 25, 2019
    Message truncation requires arguments to the 'git whatchanged' command
    that are only available in command line git 1.8.3 and newer.  Don't run
    truncation tests with command line git if the required 'git whatchanged'
    format argument is not available.
    
    JENKINS-56116 tracks the CentOS feature regression that this detected.
Commits on Feb 24, 2019
  1. Merge pull request #678 from jenkinsci/fix-submodule-npe

    MarkEWaite committed Feb 24, 2019
    Prevent submodule NPE on null BuildData
Commits on Feb 17, 2019
  1. Prevent submodule NPE on null BuildData

    MarkEWaite committed Feb 17, 2019
    Fix [JENKINS-56150] null pointer exception in git plugin
  2. Merge branch 'stable-3.9'

    MarkEWaite committed Feb 17, 2019
    Intentionally removes the changes that were made on stable-3.9 since
    the last merge, since those changes are not needed on the master branch.
  3. Merge pull request #677 from MarkEWaite/skip-tag-dependent-test-on-gi…

    MarkEWaite committed Feb 17, 2019
    …t-2.20
    
    Early exit from tag dependent test if CLI git 2.20+
  4. Skip testGitSCMCanBuildAgainstTags if CLI git 2.20+

    MarkEWaite committed Feb 17, 2019
    Git client plugin 2.7.6 and later include a fix for the tag handling
    behavior change of command line git 2.20.  However, we don't want to
    force users to upgrade to that git client version, so the git plugin
    depends on an older version.
    
    The older git client version does not include the CLI git 2.20 tag
    handling change so it will fail this test.  Rather than fail the test,
    we exit the test early if it is running with CLI git 2.20 or newer.
Older
You can’t perform that action at this time.